//
//  PreferenceControler.m
//  SealedPad
//
//  Created by 柴田 正明 on 10/09/23.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "PreferenceController.h"


NSString * const EPFontName = @"FontName";
NSString * const EPPointSize = @"PointSize";


@implementation PreferenceController

- (id)init
{
    return [super initWithWindowNibName:@"Preferences"];
}

- (void)windowDidLoad
{
    [self setFont:[self font]];
}

- (NSFont *)font
{
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
    return [NSFont fontWithName:[defaults stringForKey:EPFontName]
                           size:[defaults integerForKey:EPPointSize]];
}

- (void)setFont:(NSFont *)font
{
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
    [defaults setObject:[font fontName] forKey:EPFontName];
    [defaults setInteger:[font pointSize] forKey:EPPointSize];
    
    NSString *displayName = [font displayName];
    NSNumber *pointSize = [NSNumber numberWithInt:[font pointSize]];
    NSString *labelString = [NSString stringWithFormat:@"%@ %@", displayName, pointSize];
    [fontLabelField setStringValue:labelString];
}

- (IBAction)chooseFont:(id)sender
{
    NSFontManager *fontManager = [NSFontManager sharedFontManager];
    [fontManager setSelectedFont:[self font] isMultiple:NO];
    [fontManager orderFrontFontPanel:self];
}
                           
- (void)changeFont:(id)fontManager
{
    NSFont *font = [fontManager convertFont:[fontManager selectedFont]];
    [self setFont:font];
}
                           
@end
